*"表題 軸の描画(X) GTOOL3(GGAXIX)
*
*"履歴 90/08/16 沼口  敦
*
*
*********************************************************************
*"         << 軸のセット X or Y 軸のみ : 拡張 >>
*********************************************************************
      SUBROUTINE GGAXIX
     I         ( HHEAD , HPOS  ,
     I           DMIN  , DMAX  , DIVS  , DIVL  )
*
      CHARACTER  HHEAD ( * )*(*)         !" ヘッダー
      CHARACTER  HPOS *(*)               !" セットする軸 ('X' or 'Y')
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
      INCLUDE    (GZIWRK)                !" NW: 軸ワークの大きさ
#else
#include         "gzsize.F"              !" NCC, NDC
#include         "gziwrk.F"              !" NW: 軸ワークの大きさ
#endif
      CHARACTER  HHEADZ( NDC )*(NCC)
      REAL       AXISZ ( NW )
      LOGICAL    OSUBCK
*
*"         < 1. 軸ファイルの読み込み >
*
      CALL GTPGET ( 'SUBCHK', OSUBCK )
      CALL GTSIZE ( HHEADZ  ,  NW     )
      CALL GUQAXV
     I            ( HHEAD , 1     , 'LOC' ,
     O              HHEADZ, AXISZ , IEOD   )
      CALL GTPSET ( 'SUBCHK', OSUBCK )
*
*"         < 2. 範囲 >
*
      CALL GHPGET ( HHEAD , 'ASTR1', IZSTR )
      CALL GHPGET ( HHEAD , 'AEND1', IZEND )
*
      CALL GHPSET ( HHEADZ, 'DMIN' , DMIN  )
      CALL GHPSET ( HHEADZ, 'DMAX' , DMAX  )
      CALL GHPSET ( HHEADZ, 'DIVS' , DIVS  )
      CALL GHPSET ( HHEADZ, 'DIVL' , DIVL  )
*
*"         < 3. 軸描画 >
*
      CALL GGAXSZ
     I     ( HHEADZ, AXISZ , HPOS   )
*
*"         < 4. 座標の設定 >
*
      CALL UWSGXA ( AXISZ, IZEND-IZSTR+1 )
*
      RETURN
      END
